> Author: Jun Shang
>
> Email: shangjunv@163.com
>
> Last Updates: 29/06/2020

#### Requirements

- choppy
- Ali-Cloud

```
$ source activate choppy/open-choppy-env
$ choppy install junshang/rnaseq-engineering:tag
$ choppy apps
```

#### quick start

```
$ choppy samples junshang/rnaseq-engineering-latest > samples.csv
$ choppy batch junshang/rnaseq-engineering-latest samples.csv -p Your_project_name
```

The samplec.csv looks like this:

| sample_id | disk_size | read1                                                                                                                                                | read2                                                                                                                                                | pre_alignment_qc | qualimap_qc | trim_adapter |
| --------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- | ----------- | ------------ |
| FDU_D5    | 200       | oss://choppy-app-example-data/RNAseq/Downsampling_Quartet_RNAseqQC_12samples/Quartet_RNA_ILM_NovaSeq_RiboZero_FDU_D5_1_20190710_CleanData_R1_400k.gz | oss://choppy-app-example-data/RNAseq/Downsampling_Quartet_RNAseqQC_12samples/Quartet_RNA_ILM_NovaSeq_RiboZero_FDU_D5_1_20190710_CleanData_R2_400k.gz | false            | true        | true         |

- sample_id： 一般设置为文件输出前缀
- read1： R1 fastq 文件所在路径
- read2： R2 fastq 文件所在路径
- disk_size： 磁盘空间，每一步中间文件大小做调整
- pre_alignment_qc: 执行 fastqc 和 fastq screen 设置为 true，反之设置为 false
- qualimap_qc: 执行 qualimap bamqc 设置为 true，反之设置为 false
- trim_adapter: 使用 fastp 去 adapter 设置为 true，反之设置为 false

#### 参考文献

APP 主要来自于 Quartet RNA-seq 标准流程
