task fastqc {
	File read1
	File read2
	String docker
	String read1name=sub(basename(read1),"\\.\\S+$", "")
	String read2name=sub(basename(read2),"\\.\\S+$", "")
	String cluster
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		fastqc -t $nt -o ./ ${read1}
		fastqc -t $nt -o ./ ${read2}
	>>>

	runtime {
		docker:docker
		cluster: cluster
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File read1_html="${read1name}_fastqc.html"
		File read1_zip="${read1name}_fastqc.zip"
		File read2_html="${read2name}_fastqc.html"
		File read2_zip="${read1name}_fastqc.zip"
	}
}